/* Creates SQL data needed for assignment */

/* 
Only do this once when first create for database.  Make certain to change the name if you are doing on
the server so everyone has a unique schema/DB. */
CREATE SCHEMA IF NOT EXISTS yourname;

/* Use this database or change to whatever you used.  THIS IS ONLY FOR MYSQL
   CAN REMOVE FOR POSTGRESQL BY PUTTING -- AT THE START OF THE LINE. */
USE yourname;

/* Get rid of tables if they exist. */
DROP TABLE IF EXISTS r1, s1, s2, s5, b1, b2 CASCADE;

/* Now, add each table. */
CREATE TABLE s1 (
    sid NUMERIC(9 , 0 ) PRIMARY KEY,
    sname VARCHAR(30),
    rating NUMERIC(2 , 0 ),
    age NUMERIC(4 , 1 )
);

CREATE TABLE s2(
	sid NUMERIC(9,0) PRIMARY KEY,
	sname VARCHAR(30),
	rating NUMERIC(2,0),
	age NUMERIC(4,1)
	) ;

CREATE TABLE s5(
	sid NUMERIC(9,0) PRIMARY KEY,
	sname VARCHAR(30),
	rating NUMERIC(2,0),
	age NUMERIC(4,1)
	) ;

CREATE TABLE b1(
	bid NUMERIC(9,0) PRIMARY KEY,
	bname VARCHAR(30),
	color VARCHAR(15)
	) ;

CREATE TABLE b2(
	bid NUMERIC(9,0) PRIMARY KEY,
	bname VARCHAR(30),
	color VARCHAR(15)
	) ;

CREATE TABLE r1(
	sid NUMERIC(9,0),
	bid NUMERIC(9,0),
	day DATE,
	PRIMARY KEY (sid, bid, day),
	FOREIGN KEY(sid) REFERENCES s1(sid),
  FOREIGN KEY(bid) REFERENCES b1(bid)
	) ;

/* Now add the data. */

INSERT INTO s1 VALUES
(22, 'dustin', 7, 45.0),
(31,'lubber', 8, 55.0),
(58,'rusty', 10, 35.0)
;

INSERT INTO s2 VALUES
(28, 'yuppy', 9, 35.0),
(31, 'lubber', 8, 55.0),
(44, 'guppy', 5, 35.0),
(58, 'rusty', 10, 35.0)
;

INSERT INTO s5 VALUES
(22, 'dustin', 7, 45.0),
(29, 'brutus', 1, 33.0),
(31, 'lubber', 8, 55.5),
(32, 'andy', 8, 25.5),
(58, 'rusty', 10, 35.0),
(64, 'horatio', 7, 35.0),
(71, 'zorba', 10, 16.0),
(74, 'horatio', 9, 35.0),
(85, 'art', 3, 25.5),
(95, 'bob', 3, 63.5),
(96, 'frodo', 3, 25.5)
;

INSERT INTO b1 VALUES
(101, 'Interlake', 'blue'),
(102, 'Interlake', 'red'),
(103, 'Clipper', 'green'),
(104, 'Marine', 'red')
;
INSERT INTO b2 VALUES
(101, 'Interlake', 'red'),
(102, 'Interlake', 'red'),
(103, 'Clipper', 'green'),
(104, 'Marine', 'red')
;

INSERT INTO r1 VALUES
(22, 101, '1996-10-10'),
(58, 103, '1996-11-12'),
(58, 101, '1996-12-7'),
(31, 103, '1996-11-13')
;

/* If you want to see what was created. */
/*
select * from r1;
select * from s1;
select * from s2;
select * from s5;
*/
